USA-Made RF Coax Cable - RFC195, RFC240, RFC400 - N-Type Male/Female, SMA, RP-SMA (10 Or 20 Feet)
USA-Made RF Coax Cable - RFC195, RFC240, RFC400 - N-Type Male/Female, SMA, RP-SMA (10 Or 20 Feet)
Hero image 0 of USA-Made RF Coax Cable - RFC195, RFC240, RFC400 - N-Type Male/Female, SMA, RP-SMA (10 Or 20 Feet)
Popular pick

USA-Made RF Coax Cable - RFC195, RFC240, RFC400 - N-Type Male/Female, SMA, RP-SMA (10 Or 20 Feet)

5 stars out of 5 reviews
(5)|
25 ratings

About this item

Need a reliable RF coax cable for your antenna or radio setup?

RFC195 RFC240 RFC400 COAX RF CABLE N TYPE MALE FEMALE SMA RP

These high-quality, unbranded cables are made in the USA and come in various configurations: RFC195, RFC240, and RFC400 styles.

Rf Coaxial Antenna Cable, N-female To Rp Sma Male, High Quality Rf

Choose from N-Type male or female, SMA, or RP-SMA connectors, and pick your length—10 or 20 feet.

Boobrie RG58 SMA to F Type Extension Cable 6.56ft F Male to SMA Male Coax

Perfect for connecting radios, antennas, or testing gear.

High Quality RF Coaxial Cable with SMA-Male to N-Type Female Connector

They're brand new and ready to handle your signal.

RFC400 LOW LOSS FLEX COAX RF CABLE N TYPE MALE FEMALE SMA RP-SMA

Don't settle for static and loss—get a proper cable.

Coax Cable - RPSMA-Male to N-Male Coax Cable

Order the one you need today.

Rfc195 Rfc240 Rfc400 Coax Rf Cable N Type ale Feale Sa Rp-sa 10 20

Vulcan RFID™ 25 ft Antenna Cable (LMR-240, RP-TNC Male to SMA Male

HLF400 Coaxial Cable with RP SMA Male to TNC Female Connector

$ 18.50
Price when purchased online
  • Free shipping
  • Free 30-day returns

How do you want your item?

You get 30 days free! Choose a plan at checkout.
How do you want your item?
Sold and shipped by 88doorsmanagement.com
Free 30-day returns

Customer ratings & reviews

5 out of 5 stars
stars25 ratings5 reviews
How item rating is calculated
Filtered and sorted results would be available on the new 'Customer ratings & reviews' page.